Skip to main content
GET
/
v1
/
team
/
audit_log
/
search
Smart search across audit logs
curl --request GET \
  --url https://api.projectdiscovery.io/v1/team/audit_log/search \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Team-Id: <x-team-id>'
import requests

url = "https://api.projectdiscovery.io/v1/team/audit_log/search"

headers = {
"X-Team-Id": "<x-team-id>",
"X-API-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Team-Id': '<x-team-id>', 'X-API-Key': '<api-key>'}};

fetch('https://api.projectdiscovery.io/v1/team/audit_log/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": [
    {
      "created_at": "<string>",
      "email": "<string>",
      "action": "<string>",
      "status": 123,
      "method": "<string>",
      "ip": "<string>",
      "path": "<string>"
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Headers

X-Team-Id
string
required

Query Parameters

q
string
required

Search query. Automatically detects search intent:

  • Status code (404, 200, 500) → Searches status_code field
  • Source (api, platform, unknown) → Searches source field
  • IP address (192.168.x.x) → Searches ip field
  • Email (user@example.com) → Searches email field
  • HTTP method (GET, POST, PUT) → Searches method field
  • Path (/v1/scans, enumerate) → Searches path_name and path fields
  • General text → Searches across path, path_name, request, response
Required string length: 1 - 200
offset
integer
default:0

number of rows to skip

limit
integer
default:100

number of rows to get (max 100)

Response

OK

message
string
required
data
UserAuditLogItems · object[]
required